function searchTable (table, lookFor1st, lookFor2nd)
{	
	// alert("foxfm: searchTable()");
	var tableCell = new Array(-1, -1);
	//alert(lookFor1st + " " + lookFor2nd);
	rows = table.rows;
	// go through the rows
	for(var j=0; j<rows.length; j++)
	{
		cells = rows[j].cells;
		// go through the cells
		for(var k=0; k<cells.length; k++)
		{
			//alert(cells[k].innerHTML);
			cell = cells[k];
			if(cell.innerHTML.match(lookFor1st))
			{
				//alert(cell.innerHTML);	
				nextIndex = k+1;
				if(nextIndex<cells.length) 
				{
					if(cells[nextIndex].innerHTML.match(lookFor2nd)) 
					{
						//alert(cell.innerHTML);
						//alert("HIT: '" + lookFor1st + "' and '" + lookFor2nd + "' in row " + j);
						// return the row where the string was found
						tableCell[0] = j;
						tableCell[1] = k;
						return tableCell;
					}
				}	
			}
		}
	}
	return tableCell;
}
	
function addCell(tbl, row, col, content, styleClass, styleAlign, styleBgColor)
{
			var newCell = tbl.rows[row].insertCell(col);
			newCell.innerHTML = content;
			if(styleClass != "") 
			{
				newCell.className = styleClass;
			}
			newCell.align = styleAlign;
			newCell.style.backgroundColor = styleBgColor;
			newCell.setAttribute("width", 100);
}

function getNumberFromString (str)
{
	return (new Number(str.replace(".","")));
}

function getAWP(ep, tp)
{
	return new Number(Math.round(((2*ep*tp)/(ep + tp))));
}

function getAWPs(eps, tps)
{
	var awps = new Array(eps.length);
	for(var i=0; i<eps.length; i++)
	{
		awps[i] = getAWP(eps[i], tps[i]);
	}
	return awps;
}

function addColCurrentStrength()
{
}

function addColCurrentAWPs(tbl, rowIndex, colIndex, awps)
{
	//alert(rowIndex);
	//alert(tbl.rows[rowIndex].cells[0].innerHtml);
	addCell(tbl, rowIndex, colIndex, "<a class=\"info\">AWPs<span>AWPs des Spielers</span></a>", "top", "center", "");
	for(var i=rowIndex+1; i<tbl.rows.length; i++) 
	{
		//alert(tbl.rows.length);
		addCell(tbl, i, colIndex, awps[i].toString(10), "", "center", "");
	}
	
}

var strengthPoints=new Array("0","226","330","446","619","890","1.257","1.737","2.370","3.142","4.025","4.926","5.913","7.060","8.440","9.987","11.498","12.763","13.636","14.622","15.391","15.945","16.545","17.370");

